> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cadanapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Countries and Regions

> Returns a list of supported countries and their valid states/regions



## OpenAPI

````yaml /openapi/global-tax.yaml get /v1/tax/locations
openapi: 3.0.0
info:
  title: Global Tax Engine
  version: 1.0.0
  description: API module for calculating taxes globally
  termsOfService: https://cadanapay.com/terms-and-conditions
  contact:
    email: api@cadanapay.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.cadanapay.com
    description: Prod Server
  - url: https://dev-api.cadanapay.com
    description: Dev Server
security:
  - Authorization: []
tags:
  - name: Tax Calculator
    description: APIs for tax calculations
paths:
  /v1/tax/locations:
    get:
      tags:
        - Tax Calculator
      summary: List Countries and Regions
      description: Returns a list of supported countries and their valid states/regions
      operationId: listSupportedLocations
      parameters:
        - name: country
          in: query
          required: false
          schema:
            type: string
          description: >-
            Optional country code to filter for a specific country and its
            regions
        - $ref: '#/components/parameters/XMultiTenantKey'
      responses:
        '200':
          description: Supported countries and regions
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Country'
              example:
                data:
                  - name: Australia
                    code: AU
                    regions:
                      - name: New South Wales
                        code: NSW
                      - name: Victoria
                        code: VIC
                      - name: Queensland
                        code: QLD
        '400':
          $ref: '#/components/responses/BadRequestError'
      security:
        - Authorization: []
components:
  parameters:
    XMultiTenantKey:
      name: X-MultiTenantKey
      in: header
      required: false
      schema:
        type: string
      description: >-
        Required when using a Platform API token. The tenant key identifying
        which business to operate on.
  schemas:
    Country:
      type: object
      properties:
        name:
          type: string
          example: Bangladesh
        code:
          type: string
          example: BD
        regions:
          type: array
          items:
            $ref: '#/components/schemas/State'
    State:
      type: object
      properties:
        name:
          type: string
          example: Dhaka
        code:
          type: string
          example: DHA
    BadRequestError:
      description: Bad input provided by client
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          properties:
            params:
              description: A map for meta data around the error that occurred
              type: object
      example:
        code: invalid_request_body
        message: The request body provided is not valid
        params:
          field: Value is invalid.
    Error:
      type: object
      properties:
        code:
          description: A machine parsable error code
          type: string
          enum:
            - invalid_request_body
            - resource_not_found
            - forbidden
            - internal_error
        message:
          description: A human readable message describing the error
          type: string
  responses:
    BadRequestError:
      description: Bad input provided by client
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      bearerFormat: API_SECRET_KEY

````